Bug 1206546 - (CVE-2021-20251) VUL-0: CVE-2021-20251: samba: Bad password count not incremented atomically
(CVE-2021-20251)
VUL-0: CVE-2021-20251: samba: Bad password count not incremented atomically
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: The 'Opening Windows to a Wider World' guys
Security Team bot
https://smash.suse.de/issue/351337/
CVSSv3.1:SUSE:CVE-2021-20251:8.1:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-12-20 09:19 UTC by Gianluca Gabrielli
Modified: 2023-01-26 20:41 UTC (History)
5 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
patch for 4.16 v9 (269.73 KB, patch)
2022-12-20 09:26 UTC, Gianluca Gabrielli
Details | Diff
patch for 4.17 v9 (255.05 KB, patch)
2022-12-20 09:26 UTC, Gianluca Gabrielli
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gianluca Gabrielli 2022-12-20 09:19:05 UTC
From [0]:

> In the process of validating my new configuration, I found that samba's bad password count logic appears to have a simple race condition: Each connection appears to get separate process, and each process loads, increments, and saves the bad password count without any coordination.

References:
[0] http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-20251
[1] https://bugzilla.samba.org/show_bug.cgi?id=14611
Comment 1 Gianluca Gabrielli 2022-12-20 09:22:52 UTC
Active supported packages:
 - SUSE:SLE-11-SP3:Update/samba
 - SUSE:SLE-12-SP1:Update/samba
 - SUSE:SLE-12-SP2:Update/samba
 - SUSE:SLE-12-SP3:Update/samba
 - SUSE:SLE-12-SP5:Update/samba
 - SUSE:SLE-15-SP1:Update/samba
 - SUSE:SLE-15-SP2:Update/samba
 - SUSE:SLE-15-SP2:Update:Products:SES7:Update/samba
 - SUSE:SLE-15-SP3:Update/samba
 - SUSE:SLE-15-SP4:Update/samba
 - SUSE:SLE-15:Update/samba

Already fixed packages:
 - SUSE:SLE-15-SP5:GA/samba
Comment 2 Gianluca Gabrielli 2022-12-20 09:26:11 UTC
Created attachment 863589 [details]
patch for 4.16 v9
Comment 3 Gianluca Gabrielli 2022-12-20 09:26:35 UTC
Created attachment 863590 [details]
patch for 4.17 v9
Comment 11 Swamp Workflow Management 2023-01-23 14:16:00 UTC
SUSE-SU-2023:0122-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1173994,1201496,1205385,1206504,1206546
CVE References: CVE-2020-14323,CVE-2021-20251,CVE-2022-32742,CVE-2022-37966,CVE-2022-38023
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP2-BCL (src):    samba-4.4.2-38.55.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2023-01-24 17:19:11 UTC
SUSE-SU-2023:0126-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1205385,1206504,1206546
CVE References: CVE-2021-20251,CVE-2022-37966,CVE-2022-38023
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    samba-4.6.16+git.384.9fec958bed-3.76.1
SUSE OpenStack Cloud 9 (src):    samba-4.6.16+git.384.9fec958bed-3.76.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    samba-4.6.16+git.384.9fec958bed-3.76.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    samba-4.6.16+git.384.9fec958bed-3.76.1
SUSE Linux Enterprise High Availability 12-SP4 (src):    samba-4.6.16+git.384.9fec958bed-3.76.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2023-01-26 20:26:15 UTC
SUSE-SU-2023:0160-1: An update that solves 11 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1200102,1201490,1201492,1201493,1201495,1201496,1201689,1204254,1205126,1205385,1205386,1206504,1206546
CVE References: CVE-2021-20251,CVE-2022-2031,CVE-2022-32742,CVE-2022-32744,CVE-2022-32745,CVE-2022-32746,CVE-2022-3437,CVE-2022-37966,CVE-2022-37967,CVE-2022-38023,CVE-2022-42898
JIRA References: 
Sources used:
openSUSE Leap Micro 5.3 (src):    samba-4.15.13+git.591.ab36624310c-150400.3.19.1
openSUSE Leap 15.4 (src):    samba-4.15.13+git.591.ab36624310c-150400.3.19.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    samba-4.15.13+git.591.ab36624310c-150400.3.19.1
SUSE Linux Enterprise Micro 5.3 (src):    samba-4.15.13+git.591.ab36624310c-150400.3.19.1
SUSE Linux Enterprise High Availability 15-SP4 (src):    samba-4.15.13+git.591.ab36624310c-150400.3.19.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2023-01-26 20:33:00 UTC
SUSE-SU-2023:0163-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1205385,1206504,1206546
CVE References: CVE-2021-20251,CVE-2022-37966,CVE-2022-38023
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    samba-4.11.14+git.384.5dc2c21dce-150200.4.44.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    samba-4.11.14+git.384.5dc2c21dce-150200.4.44.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    samba-4.11.14+git.384.5dc2c21dce-150200.4.44.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    samba-4.11.14+git.384.5dc2c21dce-150200.4.44.1
SUSE Linux Enterprise High Availability 15-SP2 (src):    samba-4.11.14+git.384.5dc2c21dce-150200.4.44.1
SUSE Enterprise Storage 7 (src):    samba-4.11.14+git.384.5dc2c21dce-150200.4.44.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2023-01-26 20:38:25 UTC
SUSE-SU-2023:0164-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1205385,1206504,1206546
CVE References: CVE-2021-20251,CVE-2022-37966,CVE-2022-38023
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    samba-4.15.13+git.534.0d9f8ece26-3.77.1
SUSE Linux Enterprise Server 12-SP5 (src):    samba-4.15.13+git.534.0d9f8ece26-3.77.1
SUSE Linux Enterprise High Availability 12-SP5 (src):    samba-4.15.13+git.534.0d9f8ece26-3.77.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2023-01-26 20:41:40 UTC
SUSE-SU-2023:0162-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1206504,1206546
CVE References: CVE-2021-20251,CVE-2022-38023
JIRA References: 
Sources used:
openSUSE Leap Micro 5.2 (src):    samba-4.15.13+git.591.ab36624310c-150300.3.49.1
SUSE Manager Server 4.2 (src):    samba-4.15.13+git.591.ab36624310c-150300.3.49.1
SUSE Manager Retail Branch Server 4.2 (src):    samba-4.15.13+git.591.ab36624310c-150300.3.49.1
SUSE Manager Proxy 4.2 (src):    samba-4.15.13+git.591.ab36624310c-150300.3.49.1
SUSE Linux Enterprise Server for SAP 15-SP3 (src):    samba-4.15.13+git.591.ab36624310c-150300.3.49.1
SUSE Linux Enterprise Server 15-SP3-LTSS (src):    samba-4.15.13+git.591.ab36624310c-150300.3.49.1
SUSE Linux Enterprise Realtime Extension 15-SP3 (src):    samba-4.15.13+git.591.ab36624310c-150300.3.49.1
SUSE Linux Enterprise Micro 5.2 (src):    samba-4.15.13+git.591.ab36624310c-150300.3.49.1
SUSE Linux Enterprise High Performance Computing 15-SP3-LTSS (src):    samba-4.15.13+git.591.ab36624310c-150300.3.49.1
SUSE Linux Enterprise High Performance Computing 15-SP3-ESPOS (src):    samba-4.15.13+git.591.ab36624310c-150300.3.49.1
SUSE Linux Enterprise High Availability 15-SP3 (src):    samba-4.15.13+git.591.ab36624310c-150300.3.49.1
SUSE Enterprise Storage 7.1 (src):    samba-4.15.13+git.591.ab36624310c-150300.3.49.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.